<?php

/**
 * Count descendant's posts
 *
 * @package CountDescendantPosts
 * @version 2.0.10
 * @author davidhs
 * @copyright 2011-2018 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

if (!defined('SMF'))
	die('Hacking attempt...');

// Adds modify board settings.
function cdp_modify_board_settings(&$config_vars)
{
	$config_vars1 = $config_vars;
	$config_vars = array();
	foreach ($config_vars1 as $config_var)
	{
		if (is_array($config_var) && 'countChildPosts' == $config_var[1])
		{
			$config_var['onclick'] = 'if (!this.checked) document.getElementById(\'countDescendantPosts\').checked = false; document.getElementById(\'countDescendantPosts\').disabled = !this.checked;';
			$config_vars[] = $config_var;
			$config_vars[] = array('check', 'countDescendantPosts');
		}
		else
			$config_vars[] = $config_var;
	}
}

?>