<?php

/**
 * Count descendant's posts
 *
 * @package CountDescendantPosts
 * @version 2.0.12
 * @author davidhs
 * @copyright 2011-2021 by davidhs
 * @license Creative Commons Attribution 3.0 Unported License https://creativecommons.org/licenses/by/3.0/
 */

if (!defined('SMF'))
	die('Hacking attempt...');

// Adds url to author of credits.
function cdp_credits()
{
	global $context;

	$mod_url = '"https://custom.simplemachines.org/mods/index.php?mod=3009"';
	$trans = array(
		', davidhs' => ', <a href="https://custom.simplemachines.org/mods/index.php?action=search;author=242014">davidhs</a>',
	);

	foreach($context['credits_modifications'] as $i => $credit)
	{
		if (strstr($credit, $mod_url))
			break;
	}

	$context['credits_modifications'][$i] = strtr($context['credits_modifications'][$i], $trans);
}

?>